---
title: Delete Basin Catalog metadata
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/go)

[Basin Catalog](https://developers.cloudflare.com/api/go/resources/basin_catalog)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# Delete Basin Catalog metadata

client.BasinCatalog.Delete(ctx, bucketName, params) error

POST/accounts/{account\_id}/basin-catalog/{bucket\_name}/delete

Removes the catalog from the control plane without deleting R2 bucket objects. Set force=true to remove catalog namespaces, tables, views, and maintenance metadata. Force deletion is limited to a configured catalog object count.

##### Security

<details>

<summary>API Token</summary>



The preferred authorization scheme for interacting with the Cloudflare API. <a href="https://developers.cloudflare.com/fundamentals/api/get-started/create-token/">Create a token</a>.

**Example:**<code>Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY</code>

</details>

<details>

<summary>API Email + API Key</summary>



The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**<code>X-Auth-Email: user@example.com</code>

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**<code>X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194</code>

</details>

##### Accepted Permissions (at least one required)

`Workers R2 Data Catalog Write`

##### ParametersExpand Collapse

bucketName string

Specifies the R2 bucket name.

maxLength63

minLength3

[Link to this property](<#(resource)%20basin_catalog%20%3E%20(method)%20delete%20%3E%20(params)%20default%20%3E%20(param)%20bucket_name%20%3E%20(schema)>)

<details>

<summary>

params BasinCatalogDeleteParams

</summary>

AccountID param.Field\[string]

Path param: Use this to identify the account.

<a href="#(resource)%20basin_catalog%20%3E%20(method)%20delete%20%3E%20(params)%20default%20%3E%20(param)%20account_id">Link to this property</a>

Force param.Field\[bool]Optional

Query param: Remove child metadata before deleting the catalog.

<a href="#(resource)%20basin_catalog%20%3E%20(method)%20delete%20%3E%20(params)%20default%20%3E%20(param)%20force">Link to this property</a>

</details>

[Link to this property](<#(resource)%20basin_catalog%20%3E%20(method)%20delete%20%3E%20(params)%20default>)

### Delete Basin Catalog metadata

Go

HTTPTypeScriptPythonGoTerraform

```
package main

import (
  "context"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/basin_catalog"
  "github.com/cloudflare/cloudflare-go/option"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  err := client.BasinCatalog.Delete(
    context.TODO(),
    "my-data-bucket",
    basin_catalog.BasinCatalogDeleteParams{
      AccountID: cloudflare.F("0123456789abcdef0123456789abcdef"),
    },
  )
  if err != nil {
    panic(err.Error())
  }
}
```

##### Returns Examples